Package org.eclipse.viatra.transformation.evm.specific

## Class ExecutionSchemas

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.ExecutionSchemas

-     public class ExecutionSchemas
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionSchema` | `createViatraQueryExecutionSchema​(ViatraQueryEngine engine, Scheduler.ISchedulerFactory schedulerFactory)` | Creates a new execution schema that is initialized over the given ViatraQueryEngine, creates an executor and agenda without rules and prepares a scheduler using the provided factory.
    `static ExecutionSchema` | `createViatraQueryExecutionSchema​(ViatraQueryEngine engine, Scheduler.ISchedulerFactory schedulerFactory, java.util.Set<RuleSpecification<?>> specifications)` | Creates a new execution schema that is initialized over the given ViatraQueryEngine, creates an executor and agenda with the given rule specifications and prepares a scheduler using the provided factory.
    `static ExecutionSchema` | `createViatraQueryExecutionSchema​(ViatraQueryEngine engine, Scheduler.ISchedulerFactory schedulerFactory, ConflictResolver conflictResolver)` | Creates a new execution schema that is initialized over the given `ViatraQueryEngine`, `Scheduler.ISchedulerFactory` and `ConflictResolver` creates an executor and agenda without rules, prepares a scheduler using the provided factory and sets its scheduler factory accordingly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createViatraQueryExecutionSchema

          public static ExecutionSchema createViatraQueryExecutionSchema​(ViatraQueryEngine engine,
                                                                         Scheduler.ISchedulerFactory schedulerFactory,
                                                                         java.util.Set<RuleSpecification<?>> specifications)

      Creates a new execution schema that is initialized over the given ViatraQueryEngine, creates an executor and agenda with the given rule specifications and prepares a scheduler using the provided factory.
      Parameters:
        `engine` -
        `schedulerFactory` -
        `specifications` -
      Returns:
        the prepared execution schema

    - #### createViatraQueryExecutionSchema

          public static ExecutionSchema createViatraQueryExecutionSchema​(ViatraQueryEngine engine,
                                                                         Scheduler.ISchedulerFactory schedulerFactory)

      Creates a new execution schema that is initialized over the given ViatraQueryEngine, creates an executor and agenda without rules and prepares a scheduler using the provided factory.
      Parameters:
        `engine` -
        `schedulerFactory` -
      Returns:
        the prepared execution schema

    - #### createViatraQueryExecutionSchema

          public static ExecutionSchema createViatraQueryExecutionSchema​(ViatraQueryEngine engine,
                                                                         Scheduler.ISchedulerFactory schedulerFactory,
                                                                         ConflictResolver conflictResolver)

      Creates a new execution schema that is initialized over the given `ViatraQueryEngine`, `Scheduler.ISchedulerFactory` and `ConflictResolver` creates an executor and agenda without rules, prepares a scheduler using the provided factory and sets its scheduler factory accordingly.
      Parameters:
        `engine` -
        `schedulerFactory` -
      Returns:
        the prepared execution schema